dp12rxss: xdprxss_debug_example.c File Reference

| dp12rxss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
xdprxss_debug_example.c File Reference

## Overview

This file contains a design example using the XDpRxSs driver in single stream (SST) transport or multi-stream transport (MST) mode and provides DisplayPort RX Subsystem debug information at runtime.

Note
  For this example to display output, the user need to implement initialization of the system (DpRxSs_PlatformInit), Video Phy (DpRxSs_VideoPhyInit), start DisplayPort RX subsystem (XDpRxSs_Start) and DisplayPort RX Subsystem setup (DpRxSs_Setup). The input to the Subsystem is from RX (GT). The functions DpRxSs_PlatformInit, DpRxSs_VideoPhyInit and DpRxSs_Setup are declared and are left up to the user to implement. In addition to the setups, this example requires to implement required interrupts to view the output.

    MODIFICATION HISTORY:

    Ver  Who Date     Changes

    1.00 sha 07/29/15 Initial release.
    2.00 sha 10/05/15 Changed DpTxSs_Setup –> DpRxSs_Setup.
                      Added HDCP debug function.
    4.00 ms  01/23/17 Modified xil_printf statement in main function to
                      ensure that "Successfully ran" and "Failed" strings
                      are available in all examples. This is a fix for
                      CR-965028.

## Functions
u32 | DpRxSs_DebugExample (u16 DeviceId)
| This function is the main entry point for the debug example using the XDpRxSs driver. More...
u32 | DpRxSs_PlatformInit (void)
| This function initialize required platform specific peripherals. More...
u32 | DpRxSs_VideoPhyInit (void)
| This function configures Video Phy. More...
u32 | DpRxSs_Setup (void)
| This function configures DisplayPort RX Subsystem. More...
int | main ()
| This is the main function for XDpRxSs SST/MST example. More...

## Function Documentation

u32 DpRxSs_DebugExample | ( | u16 | DeviceId | ) |

This function is the main entry point for the debug example using the XDpRxSs driver.

This function will print values set during DisplayPort RX Subsystem set up to work in MST/SST mode.

Parameters

  DeviceId | is the unique device ID of the DisplayPort RX Subsystem core.

Returns
  - XST_SUCCESS if DisplayPort RX Subsystem prints debug information successfully.
  - XST_FAILURE, otherwise.

Note
  None.

References XDpRxSs_Config::BaseAddress, DpRxSs_PlatformInit(), DpRxSs_Setup(), DpRxSs_VideoPhyInit(), XDpRxSs_UsrOpt::MstSupport, XDpRxSs::UsrOpt, XDpRxSs_CfgInitialize(), XDpRxSs_LookupConfig(), XDpRxSs_ReportCoreInfo(), XDpRxSs_ReportHdcpInfo(), XDpRxSs_ReportLinkInfo(), XDpRxSs_ReportMsaInfo(), XDpRxSs_SetLaneCount(), XDpRxSs_SetLinkRate(), and XDpRxSs_Start().

Referenced by main().

u32 DpRxSs_PlatformInit | ( | void |  | ) |

This function initialize required platform specific peripherals.

Parameters

  None. |

Returns
  - XST_SUCCESS if required peripherals are initialized and configured successfully.
  - XST_FAILURE, otherwise.

Note
  None.

Referenced by DpRxSs_DebugExample(), DpRxSs_HdcpExample(), DpRxSs_IntrExample(), and DpRxSs_MstExample().

u32 DpRxSs_Setup | ( | void |  | ) |

This function configures DisplayPort RX Subsystem.

Parameters

  None. |

Returns
  - XST_SUCCESS if DPRX Subsystem configured successfully.
  - XST_FAILURE, otherwise.

Note
  None.

Referenced by DpRxSs_DebugExample(), DpRxSs_HdcpExample(), DpRxSs_IntrExample(), and DpRxSs_MstExample().

u32 DpRxSs_VideoPhyInit | ( | void |  | ) |

This function configures Video Phy.

Parameters

  None. |

Returns
  - XST_SUCCESS if Video Phy configured successfully.
  - XST_FAILURE, otherwise.

Note
  None.

Referenced by DpRxSs_DebugExample(), DpRxSs_HdcpExample(), DpRxSs_IntrExample(), and DpRxSs_MstExample().

int main | ( | void |  | ) |

This is the main function for XDpRxSs SST/MST example.

Parameters

  None. |

Returns
  - XST_SUCCESS if the MST/SST example passed.
  - XST_FAILURE if the MST/SST example was unsuccessful.

Note
  None.

References DpRxSs_DebugExample().